Kann keine Pakete mit python-pip installieren ("[Errno 20] Not a directory")

Ich habe meine neue Maschine (Acer Chromebook C720P – mit Ubuntu) vor kurzem eingerichtet. Alles funktioniert gut Ich habe Pycharm, Mercurial … und so weiter installiert. Ich habe ein paar Pakete mit Pip installiert, alles war ok. Ich laufe mein Pycharm-Projekt, ok. Am nächsten Tag funktioniert nichts mehr. Pip gibt mir das:

(Python3.4p)dl@dl-Peppy:~/Python3.4p$ sudo pip install --upgrade pip The directory '/home/dl/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag. You are using pip version 7.1.0, however version 8.1.2 is available. You should consider upgrading via the 'pip install --upgrade pip' command. The directory '/home/dl/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag. Collecting pip Downloading pip-8.1.2-py2.py3-none-any.whl (1.2MB) 100% |████████████████████████████████| 1.2MB 245kB/s Exception: Traceback (most recent call last): File "/usr/local/lib/python3.4/dist-packages/pip-7.1.0-py3.4.egg/pip/basecommand.py", line 223, in main status = self.run(options, args) File "/usr/local/lib/python3.4/dist-packages/pip-7.1.0-py3.4.egg/pip/commands/install.py", line 282, in run requirement_set.prepare_files(finder) File "/usr/local/lib/python3.4/dist-packages/pip-7.1.0-py3.4.egg/pip/req/req_set.py", line 334, in prepare_files functools.partial(self._prepare_file, finder)) File "/usr/local/lib/python3.4/dist-packages/pip-7.1.0-py3.4.egg/pip/req/req_set.py", line 321, in _walk_req_to_install more_reqs = handler(req_to_install) File "/usr/local/lib/python3.4/dist-packages/pip-7.1.0-py3.4.egg/pip/req/req_set.py", line 491, in _prepare_file session=self.session) File "/usr/local/lib/python3.4/dist-packages/pip-7.1.0-py3.4.egg/pip/download.py", line 825, in unpack_url session, File "/usr/local/lib/python3.4/dist-packages/pip-7.1.0-py3.4.egg/pip/download.py", line 677, in unpack_http_url unpack_file(from_path, location, content_type, link) File "/usr/local/lib/python3.4/dist-packages/pip-7.1.0-py3.4.egg/pip/utils/__init__.py", line 644, in unpack_file flatten=not filename.endswith('.whl') File "/usr/local/lib/python3.4/dist-packages/pip-7.1.0-py3.4.egg/pip/utils/__init__.py", line 544, in unzip_file ensure_dir(dir) File "/usr/local/lib/python3.4/dist-packages/pip-7.1.0-py3.4.egg/pip/utils/__init__.py", line 70, in ensure_dir os.makedirs(path) File "/usr/lib/python3.4/os.py", line 237, in makedirs mkdir(name, mode) NotADirectoryError: [Errno 20] Not a directory: '/tmp/pip-build-glgeme0f/pip/pip/_vendor/distlib/_backport' 

Wenn ich mein Projekt in Pycharm laufe, gibt es mir einen ähnlichen Fehler von Django:

 Traceback (most recent call last): File "/home/dl/Projects/exposee/exposee/manage.py", line 10, in <module> execute_from_command_line(sys.argv) File "/usr/local/lib/python3.4/dist-packages/django/core/management/__init__.py", line 353, in execute_from_command_line utility.execute() File "/usr/local/lib/python3.4/dist-packages/django/core/management/__init__.py", line 345, in execute self.fetch_command(subcommand).run_from_argv(self.argv) File "/usr/local/lib/python3.4/dist-packages/django/core/management/base.py", line 348, in run_from_argv self.execute(*args, **cmd_options) File "/usr/local/lib/python3.4/dist-packages/django/core/management/commands/runserver.py", line 54, in execute super(Command, self).execute(*args, **options) File "/usr/local/lib/python3.4/dist-packages/django/core/management/base.py", line 399, in execute output = self.handle(*args, **options) File "/usr/local/lib/python3.4/dist-packages/django/core/management/commands/runserver.py", line 93, in handle self.run(**options) File "/usr/local/lib/python3.4/dist-packages/django/core/management/commands/runserver.py", line 102, in run autoreload.main(self.inner_run, None, options) File "/usr/local/lib/python3.4/dist-packages/django/utils/autoreload.py", line 333, in main reloader(wrapped_main_func, args, kwargs) File "/usr/local/lib/python3.4/dist-packages/django/utils/autoreload.py", line 299, in python_reloader reloader_thread() File "/usr/local/lib/python3.4/dist-packages/django/utils/autoreload.py", line 275, in reloader_thread change = fn() File "/usr/local/lib/python3.4/dist-packages/django/utils/autoreload.py", line 205, in code_changed stat = os.stat(filename) NotADirectoryError: [Errno 20] Not a directory: '/usr/local/lib/python3.4/dist-packages/django/contrib/auth/locale/es_CO/LC_MESSAGES/django.mo' 

Ich habe verschiedene virtuelle Umgebungen und die native Python 2.7 / Phython 3.4 versucht.

Kann jemand das herausfinden?

Python ist die beste Programmiersprache der Welt.